Le bazar de Stemp

Le bazar de Stemp

Archives de Catégorie: Linux English

Libv4l is dead / Libv4l est mort

[Fr] Pas de panique ! libv4l est mort, vive v4l-utils !

Qu’est ce que ça change pour *buntu/debian ? Rien, le paquet source libv4l va disparaitre au profit du paquet v4l-utils (grâce au travail de Gregor Jasny) et en plus des bibliothèques v4l nous avons droit maintenant à quelques utilitaires regroupés dans le nouveau paquet binaire v4l-utils.

Un concurrent de v4l2ucp apparait avec qv4l2 :

qv4l2 General

qv4l2 User Controls

Pour ceux qui préfèrent la console, v4l2-ctl est fait pour vous :

v4l2-ctl --all

En marge de ces utilitaires, un programme Gtk+ est en cours de développement (la version 0.1 a été publié récemment) et fera peut-être un jour parti du paquet : gtk-v4l

gtk-v4l

[En] Don’t panic ! libv4l is dead, long live to v4l-utils !

What difference does it make for *buntu/debian ? Nothing, the source package libv4l will disappear in favor of v4l-utils package (thanks to the work of Gregor Jasny) and with the v4l libraries we have now some utilities in the new binary package v4l-utils.

A competitor to v4l2ucp appears with qv4l2.

For the CLI lovers, v4l2-ctl is for you.

Not yet included in this package (but maybe later), a new Gtk+ software (0.1 version was published recently) : gtk-v4l

WebKitGtk+ et/and Java

[En] WebKitGtk+ 1.1.22 brings support for Java plugins.

WebKitGtk+ 1.1.22
[Fr] WebKitGtk+ 1.1.22 nous apporte le support des greffons Java.

Vala 0.7.8 Shotwell 0.3.0 Val(a)IDE 0.6.0

[fr] : C’est la semaine Vala !

2 Novembre : sortie de Val(a)IDE en version 0.6.0.

Val(a)IDE est un EDI (Environnement de Développement Intégré, IDE pour les anglophiles) dédié au langage Vala.

3 Novembre : sortie de Shotwell en version 0.3.0.

Shotwell développé par Yorba est un organisateur/éditeur de photos conçu pour l’environnement de bureau GNOME.

4 Novembre : sortie de Vala en version 0.7.8.

Vala est un langage de programmation qui vise à apporter aux développeurs GNOME/Gtk+ les fonctionnalités d’un langage de programmation moderne sans imposer d’exigences supplémentaires en matière d’exécution et sans l’aide d’une ABI différente par rapport aux applications et aux bibliothèques écrites en C.

Pour Ubuntu : Vala et Val(a)IDE sont disponibles dans le PPA Vala Team, Shotwell dans le PPA Yorba.

[en] : This is Vala’s week !

November 2nd : release of Val(a)IDE version 0.6.0.

Val(a)IDE is (as the name suggest) an IDE (Integrated Development Environment) dedicated to the Vala language.

November 3rd : Release of Shotwell version 0.3.0.

Shotwell developed by Yorba is an open source photo organizer/editor designed for the GNOME desktop environment.

November 4th : Release of Vala version 0.7.8.

Vala is a new programming language that aims to bring modern programming language features to GNOME/Gtk+ developers without imposing any additional runtime requirements and without using a different ABI compared to applications and libraries written in C.

For Ubuntu : Vala and Val(a)IDE are available in the Vala Team PPA, Shotwell in the Yorba PPA.

Karmic: get the latest drivers for gspca, uvc, usbvideo and other

hercules_classic_link

Hercules Classic Link 06f8:3009

La version Française se trouve ici.

For gspsca drivers only, with the latest versions of Ubuntu, you may try this post : Gspca Snapshots.

I already mentioned the gspca driver and libv4l in the post [fr] Intrepid, les Webcams et les drivers Gspca. Unfortunately the topic is still relevant, the drivers being developed much faster than their integration into the distros kernel.

It’s time to update informations and expand them to all the drivers from linuxtv.org (V4L-DVB). For a list of the webcams please check the wiki (uvc, gspca, quickcam, Microdia, linux-uvc, etc …).

The procedure does not really change.

Installing needed packages:

sudo aptitude install mercurial build-essential linux-headers libncurses5-dev

Retrieving sources (from Douglas Schilling Landgraf V4L/DVB backports repository):

hg clone http://linuxtv.org/hg/v4l-dvb/

Copy the configuration file:

cd v4l-dvb
sudo cp /boot/config-`uname -r` v4l/.config

Note: currently FireDTV drivers do not compile easily (you need all the kernel sources) and are rarely used, we will disable them in the configuration.

Launch configuration:

sudo make menuconfig

Disable FireDTV support (Multimedia Support -> DVB/ATSC adapters -> set the option blank on FireDTV and FloppyDTV):

Capture-4

Capture-5

Capture-6

Exit, Exit.

Now let’s take care of usb webcams (Multimedia Support -> Video Capture adapters -> V4L USB devices)
Activate new modules drivers (press M on those marked NEW), in gspca for example:

Capture-4

Capture-7

Capture-8

Capture-9

Capture-10

Once the new drivers are enabled (M for module instead of a space), we can leave. Exit, Exit, etc… and save:

Capture-11

Launch the compilation:

make
sudo make install

If everything ok go to the next step, because the drivers also require the latest versions of libv4l.
For karmic it’s easy:

sudo add-apt-repository ppa:libv4l

Get the latest version if necessary:

sudo aptitude update
sudo aptitude full-upgrade

Restart and enjoy your new drivers.

Juste une parole Media Player

Parole

Parole Media Player


[Fr] : Parole est un lecteur multimédia équivalent à totem, utilisant l’architecture Gstreamer et développé par Ali Abdallah pour l’environnement Xfce.

La dernière version 0.1.91 vient tout juste de sortir, et vous pouvez aussi récupérer les sources git.

25/11/09 : version 0.1.95 et 0.1.96
27/11/09 : version 0.1.98
05/01/10 : version 0.2.0

Pour l’instant j’ai créé un paquet tout simple pour karmic disponible dans mon PPA Xfce :

    parole 0.1.91-1 pour i386
    parole 0.1.91-1 pour amd64
    parole 0.1.91-1 pour lpia

sudo add-apt-repository ppa:stemp/xfce

[En] : Parole is a media player comparable to totem, using Gstreamer framework and written by Ali Abdallah for the Xfce desktop.

The new version 0.1.91 is out, and you can also get the git sources.

25/11/09 : version 0.1.95 et 0.1.96
27/11/09 : version 0.1.98
05/01/10 : version 0.2.0

I created a simple package for karmic available in my Xfce PPA :

    parole 0.1.91-1 for i386
    parole 0.1.91-1 for amd64
    parole 0.1.91-1 for lpia

sudo add-apt-repository ppa:stemp/xfce

Webkit Midori et le reste….

[Fr] J’ai un peu oublié de parler de WebKitGtk, Midori et Epiphany dernièrement.

Donc acte et gaz :

WebkitGtk est sorti en version 1.15.3 corrigeant de nombreux bugs. (nb : la traduction française est toujours inexistante, toutes mes félicitations à l’équipe Ubuntu French Translators)

Midori 0.2.0 est apparu \o/ Et maintenant le greffon adblock fonctionne correctement. Franchement si vous n’avez pas encore essayé, c’est le moment.

Michael Kuhn continue tranquillement de s’occuper d’Epiphany et la version 2.28.1 est maintenant disponible pour karmic.

[En] I just forgot to mention WebKitGtk, Midori and Epiphany lately.

So let’s rumble !

WebkitGtk was published in version 1.15.3 fixing several bugs.

Midori 0.2.0 appeared \ o / And now the adblock plugin works correctly. Frankly if you have not tried it yet, it’s time to do it.

Michael Kuhn continues to quietly deal with Epiphany and version 2.28.1 is now available for karmic.

Midori 0.2.0

[en] : Christian Dywan announced it, Midori 0.2.0 is out.
Here the improvements :

Adblock was improved a lot, it works with any WebKitGTK+ version, has an improved interface, reads AdblockPlus/ Easylist filters and supports element blocking now. Thanks to a contributed scrolling widget we have kinetic drag scrolling, enabled on touchscreen devices (gtk-touchscreen-mode. Two new extensions, namely DNS prefetching and form history, could just be the very reason for those who don’t use Midori yet, to switch. Smaller issues were also improved, such as more icons of web pages are recognized, mailto: links work as expected and when switching a tab back and forth Midori remembers what you were typing.

This new version is now available in the Midori PPA.

[fr] : Christian Dywan l’a annoncé, midori 0.2.0 est sorti.
Voici la traduction très approximative de l’annonce :

Adblock a été beaucoup amélioré, il fonctionne avec n’importe quelle version de WebKitGTK+, possède une interface améliorée, lit les filtrs adblockplus/EasyList et admet maintenant des élément de blocage. Grâce à la contribution d’un widget de défilement, nous avons le défilement cinétique activé sur appareils à écran tactile (gtk-touchscreen-mode). Deux nouvelles extensions, à savoir le préchargement de DNS et de l’historique des formulaires, peut-être la raison même pour ceux qui n’utilisent pas encore Midori de la faire. Des problèmes de moindre importance ont également été améliorés, comme plus d’icônes des pages web sont reconnus, les liens mailto: fonctionnent comme prévu et quand on passe d’un onglet à un autre et retour, Midori se souvient de ce que vous tapez.

Cette nouvelle version est disponible dès maintenant dans le PPA Midori.

Pidgin 2.6.1 et/and Audio/Vidéo

Capture Pidgin 2.6.1 Video

Capture Pidgin 2.6.1 Video

Scroll down for english version.

[fr] IMPORTANT : Richard Laager a mis à jour le PPA pidgin-developers, ajoutez plutôt ce PPA à votre sources.list pour utiliser Pidgin Audio/Vidéo.

Note : Après quelques tests avec Bapoumba, il semble qu’Empathy gère mieux les appels audio/vidéo (sans être parfait non plus). Pour essayer une version plus à jour pour Jaunty voir le PPA telepathy.

Mise à jour : Pidgin version 2.6.2

Que faire quand il fait beaucoup trop chaud pour dormir ?
Empaqueter Pidgin 2.6.1 pour Jaunty avec support Audio/Vidéo bien sûr !
Créer un paquet étant un très grand mot puisque j’ai sournoisement subtilisé le paquet de GetDeb (dans lequel le support audio/vidéo n’est pas activé), ajouté les directives qui vont bien et le paquet farsight2 en provenance directe du PPA aMSN-daily.
Pour installer tout ça, il vous faut donc farsight2 :

libgstfarsight0.10-0 pour i386
libgstfarsight0.10-0 pour amd64
libgstfarsight0.10-0 pour lpia

Ensuite vous pouvez installer libpurple0, libpurple-bin, pidgin-data et pidgin :

libpurple0 pour i386
libpurple0 pour amd64
libpurple0 pour lpia

libpurple-bin

pidgin-data

pidgin pour i386
pidgin pour amd64
pidgin pour lpia

Et voilà !

Les options sont là mais je n’ai pas pu tester, tous mes contacts sont au lit. Je dois être le seul incommodé par la chaleur 😉

[en] IMPORTANT : Richard Laager updated pidgin-developers PPA, add this PPA to your sources.list to get Pidgin with Audio/Video support.

Note : After some test with Bapoumba, it seems like Empathy is better for audio/video calls (not perfect neither). To try an up-to-date version with Jaunty use telepathy PPA.

Update : Pidgin version 2.6.2

What to do when it gets too hot to sleep?
Pidgin 2.6.1 package for Jaunty with Audio/Video support of course!
To create a package is a little too much because I only took the GetDeb package (where audio/video is not activated), added controls, rules and farsight2 package from the aMSN daily PPA.
To install this you need farsight2:

libgstfarsight0.10-0 for i386
libgstfarsight0.10-0 for amd64
libgstfarsight0.10-0 for lpia

Then you can install libpurple0, libpurple-bin, pidgin and pidgin-data:

libpurple0 for i386
libpurple0 for amd64
libpurple0 for lpia

libpurple-bin

pidgin-data

pidgin for i386
pidgin for amd64
pidgin for lpia

And voilà!

Options are there but I could not test it, all my contacts are in bed. I must be the only one bothered by the heat 😉